Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.database
Class TimesTenPlatform

`java.lang.Object
oracle.toplink.internal.databaseaccess.DatabasePlatform
oracle.toplink.platform.database.DatabasePlatform
oracle.toplink.platform.database.TimesTenPlatform`

public class TimesTenPlatform
extends DatabasePlatform

See Also:
  Serialized Form

Constructor Summary
`TimesTenPlatform()`

Method Summary
`ValueReadQuery` | `getTimestampQuery()` PUBLIC: This method returns the query to select the timestamp from the server for TimesTen.
`boolean` | `isTimesTen()` Answers whether platform is TimesTen
`void` | `setSupportsForeignKeyConstraints(boolean supportsForeignKeyConstraints)`
`boolean` | `shouldPrintOuterJoinInWhereClause()` Some database require outer joins to be given in the where clause, others require it in the from clause.
`boolean` | `supportsForeignKeyConstraints()`
`boolean` | `supportsNativeSequenceNumbers()` Return true if the receiver uses host sequence numbers, generated on the database.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimesTenPlatform

    public TimesTenPlatform()

Method Detail

### getTimestampQuery

    public ValueReadQuery getTimestampQuery()

  PUBLIC: This method returns the query to select the timestamp from the server for TimesTen.

### isTimesTen

    public boolean isTimesTen()

  Answers whether platform is TimesTen

### shouldPrintOuterJoinInWhereClause

    public boolean shouldPrintOuterJoinInWhereClause()

  Some database require outer joins to be given in the where clause, others require it in the from clause.

### supportsNativeSequenceNumbers

    public boolean supportsNativeSequenceNumbers()

  Return true if the receiver uses host sequence numbers, generated on the database. TimesTen does through global sequence objects.

### supportsForeignKeyConstraints

    public boolean supportsForeignKeyConstraints()

### setSupportsForeignKeyConstraints

    public void setSupportsForeignKeyConstraints(boolean supportsForeignKeyConstraints)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD